# This file created by conda-build 3.21.5
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/d8d3a29f-3d6b-4552-6517-086189db735d/volume/rsync-recipes/arrow-cpp-3.0.0-python_3.9-on-osx, last modified Wed Sep 29 13:09:22 2021
# ------------------------------------------------

package:
  name: arrow-cpp
  version: 3.0.0
source:
  fn: apache-arrow-3.0.0.tar.gz
  sha256: 73c2cc3be537aa1f3fd9490cfec185714168c9bfd599d23e287ab0cc0558e27a
  url: https://dist.apache.org/repos/dist/release/arrow/arrow-3.0.0/apache-arrow-3.0.0.tar.gz
build:
  ignore_run_exports:
    - glog
    - grpc-cpp
    - libevent
    - re2
  number: '4'
  run_exports:
    - arrow-cpp >=3.0.0,<3.0.1.0a0
  string: py39ha6b1260_4
requirements:
  build:
    - autoconf 2.69 pl526he370928_5
    - blas 1.0 mkl
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.17.1 h9ed2024_0
    - ca-certificates 2021.7.5 hecd8cb5_1
    - cctools 927.0.2 h5ba7a2e_4
    - clang 10.0.0 default_hf57f61e_0
    - clang_osx-64 10.0.0 h05bbb7f_1
    - clangxx 10.0.0 default_hf57f61e_0
    - clangxx_osx-64 10.0.0 h05bbb7f_1
    - cmake 3.19.6 h04fa861_0
    - compiler-rt 10.0.0 h47ead80_0
    - compiler-rt_osx-64 10.0.0 hbcc88fd_0
    - expat 2.4.1 h23ab428_2
    - grpc-cpp 1.39.0 h8dc0301_5
    - icu 58.2 h0a44026_3
    - intel-openmp 2021.3.0 hecd8cb5_3375
    - krb5 1.19.2 hcd88c3b_0
    - ld64 450.3 h3c32e8a_4
    - libboost 1.73.0 hd4c2dcd_11
    - libcurl 7.78.0 hb8e4fae_0
    - libcxx 12.0.0 h2f01273_0
    - libedit 3.1.20210714 h9ed2024_0
    - libev 4.33 h9ed2024_1
    - libevent 2.1.8 hddc9c9b_1
    - libffi 3.3 hb1e8313_2
    - libgfortran 3.0.1 h93005f0_2
    - libiconv 1.16 h1de35cc_0
    - libllvm10 10.0.0 h21ff451_2
    - libnghttp2 1.41.0 h7580e61_2
    - libprotobuf 3.17.2 h2842e9f_1
    - libssh2 1.9.0 ha12b0ac_1
    - libthrift 0.14.2 h054ceb0_0
    - libuv 1.40.0 haf1e3a3_0
    - llvm-openmp 10.0.0 h28b9765_0
    - llvm-tools 10.0.0 h21ff451_2
    - lz4-c 1.9.3 h23ab428_1
    - m4 1.4.18 h1de35cc_1
    - make 4.2.1 h3efe00b_1
    - mkl 2019.4 233
    - mkl-service 2.3.0 py36h9ed2024_0
    - ncurses 6.2 h0a44026_1
    - ninja 1.10.2 hf7b0b51_1
    - numpy-base 1.17.0 py36h6575580_0
    - numpy-devel 1.17.0 py36h4ba5984_0
    - openssl 1.1.1l h9ed2024_0
    - perl 5.26.2 h4e221da_0
    - python 3.6.13 h88f2d9e_0
    - readline 8.1 h9ed2024_0
    - rhash 1.4.1 hbcfaee0_1
    - six 1.16.0 pyhd3eb1b0_0
    - sqlite 3.36.0 hce871da_0
    - tapi 1000.10.8 ha1b3eb9_0
    - thrift-compiler 0.14.2 h054ceb0_0
    - thrift-cpp 0.14.2 hecd8cb5_0
    - tk 8.6.11 h7bc2e8c_0
    - utf8proc 2.6.1 h9ed2024_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
    - zstd 1.4.9 h322a384_0
  host:
    - abseil-cpp 20210324.2 h23ab428_0
    - aws-c-common 0.4.57 hb1e8313_1
    - aws-c-event-stream 0.1.6 h23ab428_5
    - aws-checksums 0.1.9 hb1e8313_0
    - aws-sdk-cpp 1.8.185 he271ece_0
    - blas 1.0 mkl
    - boost-cpp 1.73.0 h9ed2024_11
    - brotli 1.0.9 hb1e8313_2
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.17.1 h9ed2024_0
    - ca-certificates 2021.7.5 hecd8cb5_1
    - double-conversion 3.1.5 haf313ee_1
    - flatbuffers 2.0.0 h23ab428_0
    - gflags 2.2.2 h0a44026_0
    - glog 0.5.0 h23ab428_0
    - grpc-cpp 1.39.0 h8dc0301_5
    - icu 58.2 h0a44026_3
    - intel-openmp 2021.3.0 hecd8cb5_3375
    - krb5 1.19.2 hcd88c3b_0
    - libboost 1.73.0 hd4c2dcd_11
    - libcurl 7.78.0 hb8e4fae_0
    - libcxx 12.0.0 h2f01273_0
    - libedit 3.1.20210714 h9ed2024_0
    - libev 4.33 h9ed2024_1
    - libevent 2.1.8 hddc9c9b_1
    - libffi 3.3 hb1e8313_2
    - libgfortran 3.0.1 h93005f0_2
    - libiconv 1.16 h1de35cc_0
    - libnghttp2 1.41.0 h7580e61_2
    - libprotobuf 3.17.2 h2842e9f_1
    - libssh2 1.9.0 ha12b0ac_1
    - libthrift 0.14.2 h054ceb0_0
    - lz4-c 1.9.3 h23ab428_1
    - mkl 2021.3.0 hecd8cb5_517
    - mkl-service 2.4.0 py39h9ed2024_0
    - mkl_fft 1.3.0 py39h4a7008c_2
    - mkl_random 1.2.2 py39hb2f4e1b_0
    - ncurses 6.2 h0a44026_1
    - numpy 1.16.6 py39h300780c_3
    - numpy-base 1.16.6 py39h4850c68_3
    - openssl 1.1.1l h9ed2024_0
    - orc 1.6.9 h2519b9b_3
    - python 3.9.7 h88f2d9e_1
    - rapidjson 1.1.0 h04f5b5a_0
    - re2 2020.11.01 h23ab428_1
    - readline 8.1 h9ed2024_0
    - six 1.16.0 pyhd3eb1b0_0
    - snappy 1.1.8 hb1e8313_0
    - sqlite 3.36.0 hce871da_0
    - thrift-compiler 0.14.2 h054ceb0_0
    - thrift-cpp 0.14.2 hecd8cb5_0
    - tk 8.6.11 h7bc2e8c_0
    - tzdata 2021a h5d7bf9c_0
    - uriparser 0.9.3 h0a44026_1
    - utf8proc 2.6.1 h9ed2024_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
    - zstd 1.4.9 h322a384_0
  run:
    - abseil-cpp >=20210324.2,<20210324.3.0a0
    - aws-sdk-cpp >=1.8.185,<1.8.186.0a0
    - boost-cpp
    - brotli >=1.0.9,<2.0a0
    - bzip2 >=1.0.8,<2.0a0
    - c-ares >=1.17.1,<2.0a0
    - double-conversion
    - gflags >=2.2.2,<2.3.0a0
    - glog
    - grpc-cpp
    - libboost >=1.73.0,<1.73.1.0a0
    - libcxx >=10.0.0
    - libprotobuf >=3.17.2,<3.18.0a0
    - libthrift >=0.14.2,<0.14.3.0a0
    - lz4-c >=1.9.3,<1.10.0a0
    - numpy >=1.11,<2.0a0
    - openssl >=1.1.1l,<1.1.2a
    - orc >=1.6.9,<1.6.10.0a0
    - python >=3.9,<3.10.0a0
    - re2
    - snappy >=1.1.8,<2.0a0
    - uriparser
    - utf8proc
    - zlib >=1.2.11,<1.3.0a0
    - zstd >=1.4.9,<1.5.0a0
test:
  commands:
    - test -f $PREFIX/include/arrow/api.h
    - test -f $PREFIX/include/arrow/flight/types.h
    - test -f $PREFIX/include/plasma/client.h
    - test -f $PREFIX/include/parquet/api/reader.h
    - test -f $PREFIX/lib/libarrow${SHLIB_EXT}
    - test -f $PREFIX/lib/libarrow_dataset${SHLIB_EXT}
    - test -f $PREFIX/lib/libarrow_flight${SHLIB_EXT}
    - test -f $PREFIX/lib/libparquet${SHLIB_EXT}
    - test -f $PREFIX/lib/libplasma${SHLIB_EXT}
    - test ! -f $PREFIX/lib/libarrow.a
    - test ! -f $PREFIX/lib/libarrow_flight.a
    - test ! -f $PREFIX/lib/libarrow_python.a
    - test ! -f $PREFIX/lib/libplasma.a
    - test ! -f $PREFIX/lib/libparquet.a
    - conda inspect linkages -p $PREFIX $PKG_NAME
    - conda inspect objects -p $PREFIX $PKG_NAME
about:
  home: http://github.com/apache/arrow
  license: Apache 2.0
  license_file: LICENSE.txt
  summary: C++ libraries for Apache Arrow
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - cpcloud
    - jreback
    - kou
    - kszucs
    - leifwalsh
    - pcmoritz
    - pitrou
    - robertnishihara
    - siddharthteotia
    - wesm
    - xhochy
